org.wildfly.swarm.config.elytron

## Class AggregateHTTPServerMechanismFactory<T extends AggregateHTTPServerMechanismFactory<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.AggregateHTTPServerMechanismFactory<T>

-     public class AggregateHTTPServerMechanismFactory<T extends AggregateHTTPServerMechanismFactory<T>>
      extends Object

  A http server factory definition where the http server factory is an aggregation of other http server factories.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregateHTTPServerMechanismFactory(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `availableMechanism(String value)` The HTTP mechanisms available from this factory instance.
    `List<String>` | `availableMechanisms()` The HTTP mechanisms available from this factory instance.
    `T` | `availableMechanisms(List<String> value)` The HTTP mechanisms available from this factory instance.
    `T` | `availableMechanisms(String... args)` The HTTP mechanisms available from this factory instance.
    `String` | `getKey()`
    `List<String>` | `httpServerMechanismFactories()` The referenced http server factories to aggregate.
    `T` | `httpServerMechanismFactories(List<String> value)` The referenced http server factories to aggregate.
    `T` | `httpServerMechanismFactories(String... args)` The referenced http server factories to aggregate.
    `T` | `httpServerMechanismFactory(String value)` The referenced http server factories to aggregate.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregateHTTPServerMechanismFactory

          public AggregateHTTPServerMechanismFactory(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### availableMechanisms

          public List<String> availableMechanisms()

      The HTTP mechanisms available from this factory instance.

    - #### availableMechanisms

          public T availableMechanisms(List<String> value)

      The HTTP mechanisms available from this factory instance.

    - #### availableMechanism

          public T availableMechanism(String value)

      The HTTP mechanisms available from this factory instance.

    - #### availableMechanisms

          public T availableMechanisms(String... args)

      The HTTP mechanisms available from this factory instance.

    - #### httpServerMechanismFactories

          public List<String> httpServerMechanismFactories()

      The referenced http server factories to aggregate.

    - #### httpServerMechanismFactories

          public T httpServerMechanismFactories(List<String> value)

      The referenced http server factories to aggregate.

    - #### httpServerMechanismFactory

          public T httpServerMechanismFactory(String value)

      The referenced http server factories to aggregate.

    - #### httpServerMechanismFactories

          public T httpServerMechanismFactories(String... args)

      The referenced http server factories to aggregate.

Copyright © 2017 JBoss by Red Hat. All rights reserved.